Subject: bug#78181: closed (Re: [PATCH 0/2] Update python-h5py to 3.13)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 May 2025 10:37:02 +0000

Your bug report

#78181: [PATCH 0/2] Update python-h5py to 3.13

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78181: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78181
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 0/2] Update python-h5py to 3.13
From: Andreas Enge <[email-masked]>
To: David Elsing <[email-masked]>
Cc: [email-masked]
Date: Thu, 1 May 2025 12:36:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello David,

thanks for your reactivity!

I have checked that the updated package builds and pushed;
while I wanted to try a "build -P 1", I did not have enough disk
space to build them all.

Hoping for the best,

Andreas

Subject: [PATCH 0/2] Update python-h5py to 3.13
From: David Elsing <[email-masked]>
To: [email-masked]
Cc: David Elsing <[email-masked]>, [email-masked]
Date: Thu, 1 May 2025 09:30:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Andreas,

I think the previous QA run was not complete, in particular a test of
python-h5py fails now. This is fixed in a newer version.

Best,
David

David Elsing (2):
  gnu: Add python-pytest-mpi.
  gnu: python-h5py: Update to 3.13.0.

 gnu/packages/python-check.scm | 20 ++++++++++++++++++-
 gnu/packages/python-xyz.scm   | 37 +++++++++++++++++++++++++----------
 2 files changed, 46 insertions(+), 11 deletions(-)

-- 
2.49.0